<html>
    <head>
        <meta charset="utf-8"/>
        <style>
            .del {
                color:red;
                font-family: monospace;
            }

            .del:hover {
                background-color: red;
                color:green;
                cursor:pointer;
            }
        </style>
    </head>
    <body>
        <h4>Elementi</h4>
        <ul id="lista">

        </ul>
        <button onclick="main()">Aggiungi</button>

        <pre id="cc"></pre>

        <script>
            function main () {
                let l = document.querySelector('#lista');
                let messaggio = prompt("Immetere un testo");
                
                let li = document.createElement('li');

                l.append(li);

                li.innerHTML = messaggio;

                let del = document.createElement('span');
                del.innerHTML = '[x]';

                del.className = 'del';
                del.onclick = cancella;
                li.append(del);
                
            }

            function cancella() {
                if (confirm("Sicuro di eliminare l'elemento?")) {
                    this.parentNode.remove();
                }
            }

            let o = {
                nome : "Sergio",
                voto : "10+",
                concat : function() {
                    let ff = () => {
                        return this.nome + " " + this.voto;
                    }
                    return ff();
                }
            }

            let cc = document.getElementById('cc');
            cc.innerHTML = o.concat();
            
        </script>
    </body>
</html>